通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Region Healths - Get

返回区域请求的运行状况。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.InfrastructureInsights.Admin/regionHealths/{location}?api-version=2016-05-01

URI 参数

名称 必需 类型 说明
location
path True

string

区域的名称

resourceGroupName
path True

string

资源组的名称。

subscriptionId
path True

string

唯一标识Microsoft Azure 订阅的订阅凭据。 订阅 ID 构成了每个服务调用的 URI 的一部分。

api-version
query True

string

客户端 API 版本。

响应

名称 类型 说明
200 OK

RegionHealth

还行

安全性

azure_auth

授权使用 Azure Active Directory OAuth2 流。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

Returns the requested health status of a region.

示例请求

GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/System.local/providers/Microsoft.InfrastructureInsights.Admin/regionHealths/local?api-version=2016-05-01

示例响应

{
  "id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/System.local/providers/Microsoft.InfrastructureInsights.Admin/regionHealths/local",
  "name": "local",
  "type": "Microsoft.InfrastructureInsights.Admin/regionHealths",
  "location": "local",
  "tags": {},
  "properties": {
    "usageMetrics": [
      {
        "name": "Physical memory",
        "metricsValue": [
          {
            "name": "Used",
            "unit": "GB",
            "value": 76.24941635131836
          },
          {
            "name": "Available",
            "unit": "GB",
            "value": 181.7333984375
          }
        ]
      },
      {
        "name": "Physical storage",
        "metricsValue": [
          {
            "name": "Used",
            "unit": "TB",
            "value": 0.22170669212937355
          },
          {
            "name": "Available",
            "unit": "TB",
            "value": 2.2449070774018764
          }
        ]
      },
      {
        "name": "Public IP address pools",
        "metricsValue": [
          {
            "name": "Used",
            "unit": "One",
            "value": 31
          },
          {
            "name": "Available",
            "unit": "One",
            "value": 480
          }
        ]
      }
    ],
    "alertSummary": {
      "criticalAlertCount": 0,
      "warningAlertCount": 2
    }
  }
}

定义

名称 说明
AlertSummary

警报摘要。

Metrics

源的指标。

MetricsSourceType

指标的源。

MetricsUnit

指标的单位。

RegionHealth

包含与区域运行状况相关的信息。

UsageMetrics

资源使用情况指标。

AlertSummary

警报摘要。

名称 类型 说明
criticalAlertCount

integer

服务的关键警报数。

warningAlertCount

integer

服务的警告警报数。

Metrics

源的指标。

名称 类型 说明
maCounterName

string

计数器的名称。

name

string

使用情况指标的名称。

observedTimestamp

string (date-time)

观察到时间计数器。

sourceName

MetricsSourceType

源的名称。

sourceType

string

源的类型。

unit

MetricsUnit

指标的单位。

value

number (double)

使用情况指标的名称。

MetricsSourceType

指标的源。

说明
PhysicalNode
VirtualMachine
ResourceProvider

MetricsUnit

指标的单位。

说明
One
Percentage
B
KB
MB
GB
TB

RegionHealth

包含与区域运行状况相关的信息。

名称 类型 说明
id

string

资源的完全限定资源 ID

location

string

资源所在的 Azure 区域

name

string

资源的名称

properties.alertSummary

AlertSummary

警报摘要。

properties.usageMetrics

UsageMetrics[]

区域的使用情况指标列表。

tags

object

资源标记。

type

string

资源的类型。

UsageMetrics

资源使用情况指标。

名称 类型 说明
metricsValue

Metrics[]

使用情况指标列表。

name

string

使用情况指标的名称。